1. Risk Assessment
  • Test
    • Landing
  • Endpoints
    • Verifications
      • Create a verification
      • Get a verification
      • Delete a verification
      • Resend a verification
      • Reset a verification
      • Approve a verification check result
      • Approve Quick IDV result (deprecated)
      • Approve PEP result (deprecated)
      • Create and run a verification
      • Create and run a company verification
      • Approve FaceMatch result (deprecated)
    • Outsourced Verifications
      • Create an outsourced verification
      • Get an outsourced verification
      • Delete an outsourced verification
    • Risk Assessment
      • Create a risk rating
        POST
      • Get risk rating details
        GET
    • E-sign Templates
      • List e-sign templates
      • Fetch an e-sign template
    • E-sign Documents
      • List e-sign documents
      • Create an e-sign draft document
      • Fetch an e-sign document
      • Update an e-sign draft document
      • Delete an e-sign document
      • Duplicate an e-sign document
      • Create an e-sign iframe builder session
      • Send an e-sign document
      • Resend an e-sign document
      • Reinitiate an e-sign document
      • Void an e-sign document
    • Form Submissions
      • Create a form submission
      • Fetch a form submission
      • Delete a form submission
      • Resend a form submission
  • Schemas
    • VerificationRequest
    • VerificationCompanyRequest
    • VerificationSimple
    • Verification
    • VerificationCompany
    • OutsourcedVerificationRequest
    • OutsourcedVerificationSimple
    • OutsourcedVerification
    • OutsourcedVerificationType
    • OutsourcedVerificationStatus
    • OutsourcedVerificationResult
    • OutsourcedVerificationIndividual
    • VerificationType
    • VerificationResultSource
    • Result
    • PepResult
    • PepType
    • PepHit
    • DocumentOCRData
    • FaceMatchVoiResult
    • NationalIdTypes
    • BadRequest
    • Metadata
    • PersonName
    • PersonBirthDate
    • ContactMethods
    • AddressFields
    • GeoCoordinates
    • NationalIdBundle
    • VerificationAlgorithmSelection
    • VerificationIdentityResponse
    • VerificationCoreResponse
    • VerificationAddressResponse
    • VerificationNationalIdsResponse
    • VerificationMetadataResponse
    • OtherCountries
    • OutsourcedContactMethods
    • OutsourcedOrgTracking
    • OutsourcedCore
    • CompanyContactMethods
    • CompanyCore
    • CompanyTracking
    • VerificationResendRequest
    • RiskLevel
    • RiskAnswer
    • RiskSection
    • RiskQuestion
    • RiskRatingAnswer
    • RiskRating
    • RiskRatingCreateRequest
    • FormSubmissionCreateRequest
    • FormSubmission
    • FormSubmissionUser
    • FormSubmissionForm
    • FormSubmissionVerification
    • FormSubmissionValue
    • ESignTwoFactorMethod
    • ESignEnvelopeStatus
    • ESignRecipientStatus
    • ESignFieldType
    • ESignFieldDefaultValueMode
    • ESignTemplateRecipientRole
    • ESignTemplate
    • ESignDocumentRecipientOverride
    • ESignDocumentCreateRequest
    • ESignRecipientCreateRequest
    • ESignRecipientUpdateRequest
    • ESignDocumentFile
    • ESignField
    • ESignFieldGroup
    • ESignRecipient
    • ESignActionRequiredRecipient
    • ESignActionRequired
    • ESignDocument
    • ESignFieldResponse
    • ESignCompletionCertificate
    • ESignDocumentDetail
    • ESignSendDocumentResponse
    • ESignReinitiateDocumentResponse
    • ESignDocumentUpdateRequest
    • ESignDocumentDuplicateRequest
    • ESignDocumentPage
    • ESignIframeSessionCreateRequest
    • ESignIframeSessionResponse
    • ESignResendDocumentRequest
    • ESignResendDocumentResponse
    • ESignVoidDocumentRequest
    • ESignVoidDocumentResponse
  1. Risk Assessment

Get risk rating details

GET
/verification/{verification_signature_key}/risk-rating/{risk_assessment_id}/
Fetch risk rating details by risk_assessment_id for a verification.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Risk rating details
Bodyapplication/json

🟠403Forbidden
🟠404NotFound
🔴500UnknownError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/verification//risk-rating//' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Example 1
{
    "id": "3a2c6531-2085-46fa-b47f-8744d3abaa73",
    "created_at": "2026-02-03T01:51:38.615784Z",
    "completed_by_name": "string",
    "completed_by_email": "user@example.com",
    "completed_at": "2019-08-24T14:15:22.123Z",
    "started_at": "2019-08-24T14:15:22.123Z",
    "risk_score": 0,
    "risk_level": "PENDING",
    "risk_level_override_notes": "string",
    "risk_assessment_notes": [
        "string"
    ],
    "risk_assessment_answers": [
        {
            "id": "string",
            "created_at": "2019-08-24T14:15:22.123Z",
            "risk_answer_max_score": 0,
            "comment": "string",
            "risk_question": {
                "id": "string",
                "question": "string",
                "risk_section": {
                    "name": "string"
                }
            },
            "risk_answers": [
                {
                    "id": "string",
                    "answer": "string",
                    "score": 0,
                    "high_risk": true
                }
            ]
        }
    ],
    "risk_profile_id": "string",
    "system_generated_profile": true,
    "report": {
        "property1": "string",
        "property2": "string"
    },
    "url": "http://example.com"
}
Previous
Create a risk rating
Next
List e-sign templates
Built with